#version 330 core

in vec3 worldNormal;
in vec2 fragmentUV;

layout (location = 0) out vec4 fragColor;

uniform sampler2D color_texture;

void main()
{
	vec3 textureColor = texture(color_texture, fragmentUV).rgb;
	//fragColor = vec4((worldNormal + 1)/2, 1.0); // to represent normals as colors
	fragColor = vec4(textureColor, 1.0);
}